<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1" />
  <PROJECT PROJECT_ID="-1" NAME="project_1" CREATED_BY="admin" CREATED_ON="2023-02-08" ATTACHMENT_LIST_ID="-1" />
  <TEST_CASE_LIBRARY_NODE TCLN_ID="-1" NAME="theName" CREATED_BY="admin" CREATED_ON="2019-11-05" ATTACHMENT_LIST_ID="-1" />
  <CAMPAIGN_LIBRARY_NODE CLN_ID="-1" NAME="campaign_1" CREATED_BY="admin" CREATED_ON="2018-06-01" ATTACHMENT_LIST_ID="-1" />

  <CAMPAIGN CLN_ID="-1" ACTUAL_END_AUTO="false" ACTUAL_START_AUTO="false" />
  <ITERATION ITERATION_ID="-1" NAME="iteration_1" CREATED_BY="admin" CREATED_ON="2018-06-01" ACTUAL_END_AUTO="false" ACTUAL_START_AUTO="false"  UUID="bcc25d38-e0bb-43fe-b31d-81dc92f18f44"/>
  <CAMPAIGN_ITERATION CAMPAIGN_ID="-1" ITERATION_ID="-1" ITERATION_ORDER="0" />

  <TEST_SUITE ID="-2" ATTACHMENT_LIST_ID="-1" CREATED_BY="" CREATED_ON="2023-02-08" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa1"/>
  <ITERATION_TEST_SUITE ITERATION_ID="-1" TEST_SUITE_ID="-2" ITERATION_TEST_SUITE_ORDER="0" />
  <TEST_CASE TCLN_ID="-1" PREREQUISITE="prerequisite" UUID="-44444" />

  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-2" CREATED_BY="admin" CREATED_ON="2023-02-08" TCLN_ID="-1" />
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-1" ITEM_TEST_PLAN_ID="-2" ITEM_TEST_PLAN_ORDER="0"/>
  <TEST_SUITE_TEST_PLAN_ITEM TPI_ID="-2" SUITE_ID="-2" TEST_PLAN_ORDER="0"/>


  <EXECUTION EXECUTION_ID="-2" CREATED_BY="admin" CREATED_ON="2023-02-08" NAME="Execution" PREREQUISITE="" />
  <ITEM_TEST_PLAN_EXECUTION ITEM_TEST_PLAN_ID="-2" EXECUTION_ID="-2" EXECUTION_ORDER="0"/>
  <TEST_STEP TEST_STEP_ID="-2"/>
  <EXECUTION_STEP EXECUTION_STEP_ID="-2" ACTION="plop" CREATED_BY="admin" CREATED_ON="2023-02-08" TEST_STEP_ID="-2"/>
  <EXECUTION_EXECUTION_STEPS EXECUTION_ID="-2" EXECUTION_STEP_ID="-2" EXECUTION_STEP_ORDER="0"/>
  <AUTOMATED_EXECUTION_EXTENDER EXTENDER_ID="-2" MASTER_EXECUTION_ID="-2" TEST_TECHNOLOGY="foobar" />


  <EXECUTION EXECUTION_ID="-3" CREATED_BY="admin" CREATED_ON="2023-02-08" NAME="Execution" PREREQUISITE="" />
  <ITEM_TEST_PLAN_EXECUTION ITEM_TEST_PLAN_ID="-2" EXECUTION_ID="-3" EXECUTION_ORDER="1"/>
  <TEST_STEP TEST_STEP_ID="-3"/>
  <EXECUTION_STEP EXECUTION_STEP_ID="-3" ACTION="plop" CREATED_BY="admin" CREATED_ON="2023-02-08" TEST_STEP_ID="-3"/>
  <EXECUTION_EXECUTION_STEPS EXECUTION_ID="-3" EXECUTION_STEP_ID="-3" EXECUTION_STEP_ORDER="0"/>
  <AUTOMATED_EXECUTION_EXTENDER EXTENDER_ID="-3" MASTER_EXECUTION_ID="-3" TEST_TECHNOLOGY="technology" />
  <DENORMALIZED_ENVIRONMENT_TAG DET_ID="-4" HOLDER_ID="-3" HOLDER_TYPE="EXECUTION" VALUE="zarbi"/>
  <DENORMALIZED_ENVIRONMENT_TAG DET_ID="-41" HOLDER_ID="-3" HOLDER_TYPE="EXECUTION" VALUE="foo"/>
  <DENORMALIZED_ENVIRONMENT_TAG DET_ID="-48" HOLDER_ID="-3" HOLDER_TYPE="EXECUTION" VALUE="bar"/>
  <DENORMALIZED_ENVIRONMENT_TAG DET_ID="-67" HOLDER_ID="-3" HOLDER_TYPE="EXECUTION" VALUE="baz"/>


</dataset>
